@import "../../scss/importer";

.inner-form {
  p.small-title {
    margin-bottom: 48px;
  }
  .form-element {
    margin: 16px 0;
  }
  .actions-cell {
    display: flex;
    align-items: center;
    p {
      text-transform: uppercase;
      cursor: pointer;
      &:hover {
        text-decoration: underline;
      }
      &.disabled {
        opacity: 0.5;
        cursor: not-allowed;
        pointer-events: none;
      }
    }
    p.start-session {
      position: relative;
      padding-left: 48px;
      background: $cgn-blue;
      color: $white;
      margin-left: auto;
      border: 1px solid $cgn-blue;
      cursor: pointer;
      &::before {
        content: "";
        position: absolute;
        left: 0;
        top: 0;
        bottom: 0;
        width: 48px;
        height: 48px;
        background: url("../../assets/img/play.svg");
      }
    }
    p.save-session {
      margin-left: auto;
      position: relative;
      padding-left: 48px;
      background: $cgn-blue;
      color: $white;
      border: 1px solid $cgn-blue;
      &::before {
        content: "";
        position: absolute;
        left: 0;
        top: 0;
        bottom: 0;
        width: 48px;
        height: 48px;
        background: url("../../assets/img/save.svg");
      }
    }
    p.stop-session {
      background-color: #8da5b0;
      border: 1px solid #8da5b0;
      color: $white;
      width: 140px;
      margin-left: auto;
      margin-right: 8px;
      text-align: center;
      padding-left: 16px;
      padding-right: 16px;
    }
  }
}

.wrapper-choose-chapter {
  margin: 32px 0;
}
.wrapper-chapter {
  display: flex;
  align-items: center;
}

.checkbox-chapter {
  position: absolute;
  width: 32px;
  height: 32px;
  margin: auto;
}

.chapter-text {
  position: relative;
  padding-left: 32px;
}

label {
  cursor: pointer;
  display: block;
  input {
    display: none;
  }
  span {
    padding-left: 32px;
    position: relative;
    line-height: 24px;
    &::before {
      height: 16px;
      width: 16px;
      content: "";
      position: absolute;
      top: 0;
      bottom: 0;
      left: 0;
      margin-top: auto;
      margin-bottom: auto;
      border: 1px solid;
      border: 1px solid $cgn-dark;
      box-shadow: 0 0 0 0 rgba($cgn-dark, 1);
      transition: 0.75s;
    }
    &::after {
      content: "";
      position: absolute;
      top: 0;
      bottom: 0;
      left: 3px;
      margin-top: auto;
      margin-bottom: auto;
      height: 10px;
      width: 10px;
      background: $cgn-blue;
      transform: scale(0);
      transition: 0.35s;
    }
  }
  input:checked + span {
    &::before {
      box-shadow: 0 0 8px 4px rgba($cgn-dark, 0);
    }
    &::after {
      transform: scale(1);
    }
  }
  &.child {
    margin-top: 0.75rem;
    padding-left: 24px;
    span {
      padding-left: 24px;
      &::after,
      &::before {
        border-radius: 0;
      }
      &::before {
        width: 16px;
        height: 16px;
      }
      &::after {
        height: 8px;
        width: 8px;
        left: 4px;
      }
    }
  }
  &.main + .child {
    margin-top: 1rem;
  }
}
